/**
 * \file
 * \brief <b>doxygen "flattens" nested structs (2)</b>
 */

/**
 * The flattened structure looks like this:
 * @code
 * struct {
 *     int x;
 *     int y;
 *     float a;
 *     float b;
 * } innerVariant_2;
 * @endcode
 */
struct {
    int x;
    struct {
        int y;
        float a;
        float b;
    } innerVariant_2;
} outerVariant_2;
